Bug 224227

Summary: .gitignore contains 'build/' which causes all directories named 'build/' to be ignored
Product: WebKit Reporter: Kimmo Kinnunen <kkinnunen>
Component: Tools / TestsAssignee: Kimmo Kinnunen <kkinnunen>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Local Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=223988
https://bugs.webkit.org/show_bug.cgi?id=223921
https://bugs.webkit.org/show_bug.cgi?id=30951
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Kimmo Kinnunen 2021-04-05 23:48:44 PDT
.gitignore contains 'build/' which causes all directories named 'build/' to be ignored

* Has caused some WebGL tests to be missing and untested for multiple years.
** Has caused ANGLE METAL backend implementation to contain crashes that would have been caught by the tests.
Comment 1 Kimmo Kinnunen 2021-04-05 23:51:35 PDT
Created attachment 425247 [details]
Patch
Comment 2 Kimmo Kinnunen 2021-04-05 23:52:31 PDT
https://git-scm.com/docs/gitignore

> If there is a separator at the beginning or middle (or both) of the pattern, then the pattern is relative to the directory level of the particular .gitignore file itself. Otherwise the pattern may also match at any level below the .gitignore level.





I think all these are intended to be here, if some of them are intended:

find . -iname 'build' 

./LayoutTests/webgl/1.0.3/resources/webgl_test_files/conformance/ogles/GL/build
./PerformanceTests/Speedometer/resources/todomvc/labs/architecture-examples/react/bower_components/director/build
./PerformanceTests/Speedometer/resources/todomvc/architecture-examples/vuejs-cli/build
./PerformanceTests/Speedometer/resources/todomvc/architecture-examples/react/node_modules/director/build
./Websites/browserbench.org/Speedometer2.0/resources/todomvc/labs/architecture-examples/react/bower_components/director/build
./Websites/browserbench.org/Speedometer2.0/resources/todomvc/architecture-examples/vuejs-cli/build
./Websites/browserbench.org/Speedometer2.0/resources/todomvc/architecture-examples/react/node_modules/director/build

Since there was an explicit non-ignore pattern for one of these directories, I assume this intention is just missing for the other one by mistake.
Comment 3 Ryosuke Niwa 2021-04-06 00:00:18 PDT
Comment on attachment 425247 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=425247&action=review

> .gitignore:7
> +/build/

I think we should just get rid of this line.
This was relevant 11 years ago (https://trac.webkit.org/r50325).
If I recall correctly, chromium back then used "build" directory.
I don't believe we have any port that adds build directory anymore.
Comment 4 Kimmo Kinnunen 2021-04-06 00:05:22 PDT
Created attachment 425249 [details]
Patch
Comment 5 EWS 2021-04-06 00:19:36 PDT
/Volumes/Data/worker/Commit-Queue/build/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).
Comment 6 Kimmo Kinnunen 2021-04-07 03:50:26 PDT
Created attachment 425378 [details]
Patch
Comment 7 EWS 2021-04-07 04:38:21 PDT
Committed r275601: <https://commits.webkit.org/r275601>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 425378 [details].
Comment 8 Radar WebKit Bug Importer 2021-04-07 04:39:27 PDT
<rdar://problem/76335650>